;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   inv.h
; Purpose   :   Space Invaders mode application header
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; STATE REDEFINITIONS
;
;==============================================================================

INVBANNERSTATE              equ     COREBANNERSTATE
INVDEFAULTSTATE             equ     COREDEFAULTSTATE
INVSETBANNERSTATE           equ     CORESETBANNERSTATE
INVYOUROCKSETSTATE          equ     CORESETBANNERSTATE
INVSETSTATE                 equ     CORESETSTATE
INVPOPUPSTATE               equ     COREPOPUPSTATE
INVPASSWORDDEFAULTSTATE     equ     COREPASSWORDDEFAULTSTATE
INVPASSWORDSETBANNERSTATE   equ     COREPASSWORDSETBANNERSTATE
INVPASSWORDSETSTATE         equ     COREPASSWORDSETSTATE


INVSHIPHITSTATE             equ     CORESETSTATE
INVVICTORYSTATE             equ     COREPOPUPSTATE
INVGAMEOVERSTATE			equ		COREPASSWORDDEFAULTSTATE

; TODO: Add your own state redefinition here

;==============================================================================
;
; EVENT REDEFINITIONS
;
;==============================================================================

INV_STATEENTRY              equ     COREEVENT_STATEENTRY
INV_CROWNHOME               equ     COREEVENT_CROWN_HOME
INV_CROWNSET                equ     COREEVENT_CROWN_SET1
INV_CWPULSES                equ     COREEVENT_CW_PULSES
INV_CCWPULSES               equ     COREEVENT_CCW_PULSES
INV_MODEDEPRESS             equ     COREEVENT_SWITCH1DEPRESS

; TODO: Add your own state redefinition here

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

INVMINXPOS                  equ     1
INVMAXXPOS                  equ     42
INVMINYPOS                  equ     1
INVMAXYPOS                  equ     11

INVSHIELDYPOS               equ     9

INVSHIPMISSILERATE          equ     3
INVSHIPSTEPRATE             equ     3
INVALIENSTEPRATE            equ     4

INVNUMSHIPSAVAILABLE		equ		3