;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
;
; File Name :   invvars.h
; Purpose   :   Space Invaders Application Variable Offsets
;
;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

;==============================================================================
;
; Space Invaders APPLICATION SYSTEM DATA
;
;==============================================================================

INVSYSTEMDATASTARTOFFSET        equ     0

;Resource Index
INVSTOPWATCHRESOURCE0OFFSET     equ     0

;Status Flag
INVSTATUSFLAGOFFSET             equ     1
bINVDemoModeActive              equ     1000000b
bINVGamePaused                  equ     0100000b
;bINV                           equ     0010000b
;bINV                           equ     0001000b
;bINV                           equ     0000100b
bINVVariablesAlreadyLoaded      equ     0000010b
bINVGetVariablesFromEEPROM      equ     0000001b

INVSHIPMISSILERATEOFFSET        equ     2

INVSHIPAVAILABLEOFFSET		    equ     3



;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
; Do not change this variable but change the value if necessary.
; The equate value of this, is the last number from the above variables plus 1
; When you add variables above, be sure to change the value of this too.

INVSYSTEMDATASIZE               equ     4

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;


;==============================================================================
;
; Space Invaders COMMON VARIABLE REDEFINITIONS
;
;==============================================================================

INVDisplayStatus                equ     (COREForegroundCommonBuffer + 0)
bINVAlien0State                 equ     10000000b
bINVAlien1State                 equ     01000000b
bINVAlien2State                 equ     00100000b
bINVAlienMissle0State           equ     00010000b
bINVAlienMissle1State           equ     00001000b
bINVAlienMissle2State           equ     00000100b
bINVShipState                   equ     00000010b
bINVShipMissleState             equ     00000001b

INVShipPosX                     equ     (COREForegroundCommonBuffer + 1)
INVShipPosY                     equ     (COREForegroundCommonBuffer + 2)
INVShipDirection                equ     (COREForegroundCommonBuffer + 3)
INVShipMissilePosX              equ     (COREForegroundCommonBuffer + 4)
INVShipMissilePosY              equ     (COREForegroundCommonBuffer + 5)
                                                                       
INVAlienShipStepRate            equ     (COREForegroundCommonBuffer + 6)
INVAlien0Direction              equ     (COREForegroundCommonBuffer + 7)

INVAlien0PosX                   equ     (COREForegroundCommonBuffer + 8)
INVAlien0PosY                   equ     (COREForegroundCommonBuffer + 9)
INVAlien0MissilePosX            equ     (COREForegroundCommonBuffer + 10)
INVAlien0MissilePosY            equ     (COREForegroundCommonBuffer + 11)

INVAlien1PosX                   equ     (COREForegroundCommonBuffer + 12)
INVAlien1PosY                   equ     (COREForegroundCommonBuffer + 13)
INVAlien1MissilePosX            equ     (COREForegroundCommonBuffer + 14)
INVAlien1MissilePosY            equ     (COREForegroundCommonBuffer + 15)

INVAlien2PosX                   equ     (COREForegroundCommonBuffer + 16)
INVAlien2PosY                   equ     (COREForegroundCommonBuffer + 17)
INVAlien2MissilePosX            equ     (COREForegroundCommonBuffer + 18)
INVAlien2MissilePosY            equ     (COREForegroundCommonBuffer + 19)

INVAlienShipStepRateCurrent     equ     (COREForegroundCommonBuffer + 20)
INVAlienMaxXPosition            equ     (COREForegroundCommonBuffer + 21)
INVAlienMinXPosition            equ     (COREForegroundCommonBuffer + 22)

INVShipStepRate                 equ     (COREForegroundCommonBuffer + 23)

;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;

; TODO: Put here your variables to be use on background operation





;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;;
